
Foreman - Feature #22891

Foreman should log failed login attempt

03/14/2018 07:38 AM - Marek Hulán

Status: Closed   

Priority: Normal   

Assignee: Marek Hulán   

Category: Logging   

Target version: 1.18.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5321

  

Description

When user logs in or when user enters wrong password, all we can say from production.log is that Foreman replied with 302. We

should have explicit log message if user login was not successful in the log.

Related issues:

Related to Foreman - Feature #23064: Log login and logout activities more exp... Closed 03/29/2018

Associated revisions

Revision 19ac600f - 03/14/2018 12:42 PM - Marek Hulán

Fixes #22891 - add log for failed login attempt

History

#1 - 03/14/2018 07:39 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/5321 added

#2 - 03/14/2018 12:47 PM - Marek Hulán

- translation missing: en.field_release set to 330

#3 - 03/14/2018 02:15 PM - Marek Hulán

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 19ac600f1cb5304bd63e5d4cd044bc09c422f818.

#4 - 03/29/2018 03:00 PM - Marek Hulán

- Related to Feature #23064: Log login and logout activities more explicitly added
